# Finds LibHarkio3.
#
# This module defines:
# LIBHARKIO3_INCLUDE_DIRS
# LIBHARKIO3_LIBRARIES
#

find_package(PkgConfig)
pkg_check_modules(PC_LIBHARKIO3 libharkio3>=2.2.1)

find_path(LIBHARKIO3_INCLUDE_DIR
          libharkio3.h
          HINTS ${PC_LIBHARKIO3_INCLUDEDIR} ${PC_LIBHARKIO3_INCLUDE_DIRS})

find_library(LIBHARKIO3_LIBRARY
             NAMES harkio3
             HINTS ${PC_LIBHARKIO3_LIBDIR} ${PC_LIBHARKIO3_LIBRARY_DIRS} )

set(LIBHARKIO3_LIBRARIES ${LIBHARKIO3_LIBRARY})
set(LIBHARKIO3_INCLUDE_DIRS ${LIBHARKIO3_INCLUDE_DIR})

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(LibHarkio3 DEFAULT_MSG
                                  LIBHARKIO3_LIBRARY LIBHARKIO3_INCLUDE_DIR)

mark_as_advanced(LIBHARKIO3_INCLUDE_DIR LIBHARKIO3_LIBRARY)
